package hibergui.event;

import hibergui.Component;

public class ChangeEvent<S extends Component<T>, T> extends Event<S> {

	private static final long serialVersionUID = 7415536237466690428L;

	public T oldValue, newValue;
	
	public ChangeEvent(S source, T oldValue, T newValue) {
        super(source);
        this.oldValue = oldValue;
        this.newValue = newValue;
    }
}
